nn.pp.audiocore

## Class AudioException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - nn.pp.audiocore.AudioException

- All Implemented Interfaces:
    java.io.Serializable

      public class AudioException
      extends java.lang.Exception

  This is a special `Exception` which is used widely through the nn.pp.audiocore package. Represents audio related errors.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioException()` Create a new instance of a audio related exception
    `AudioException(int errorCode, java.lang.String message)` Create a new instance of a audio related exception with a specified error code and message
    `AudioException(int errorCode, java.lang.String message, java.lang.Throwable cause)` Create a new instance of a audio related exception with a specified error code and message and a reference to the inner exception that is the cause of this exception
    `AudioException(java.lang.String message)` Create a new instance of a audio related exception with a specified error message
    `AudioException(java.lang.String message, java.lang.Throwable cause)` Create a new instance of a audio related exception with a specified error message and a reference to the inner exception that is the cause of this exception
    `AudioException(java.lang.Throwable cause)` Create a new instance of a audio related exception with a reference to the inner exception that is the cause of this exception

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()` Get the error code associated with this exception
    `java.lang.String` | `getLocalizedMessage()` Get the localized message associated with this exception
    `java.lang.String` | `getMessage()` Get the message associated with this exception

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AudioException

          public AudioException()

      Create a new instance of a audio related exception

    - #### AudioException

          public AudioException(java.lang.String message)

      Create a new instance of a audio related exception with a specified error message
      Parameters:
        `message` - The message that describes the error

    - #### AudioException

          public AudioException(int errorCode,
                                java.lang.String message)

      Create a new instance of a audio related exception with a specified error code and message
      Parameters:
        `errorCode` - An error code
        `message` - The message that describes the error

    - #### AudioException

          public AudioException(java.lang.String message,
                                java.lang.Throwable cause)

      Create a new instance of a audio related exception with a specified error message and a reference to the inner exception that is the cause of this exception
      Parameters:
        `message` - The message that describes the error
        `cause` - The exception that is the cause of the current exception, or a null reference if no inner exception is specified

    - #### AudioException

          public AudioException(int errorCode,
                                java.lang.String message,
                                java.lang.Throwable cause)

      Create a new instance of a audio related exception with a specified error code and message and a reference to the inner exception that is the cause of this exception
      Parameters:
        `errorCode` - An error code
        `message` - The message that describes the error
        `cause` - The exception that is the cause of the current exception, or a null reference if no inner exception is specified

    - #### AudioException

          public AudioException(java.lang.Throwable cause)

      Create a new instance of a audio related exception with a reference to the inner exception that is the cause of this exception
      Parameters:
        `cause` - The exception that is the cause of the current exception, or a null reference if no inner exception is specified

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Get the error code associated with this exception
      Returns:
        the error code associated with this exception

    - #### getMessage

          public java.lang.String getMessage()

      Get the message associated with this exception
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        the message associated with this exception

    - #### getLocalizedMessage

          public java.lang.String getLocalizedMessage()

      Get the localized message associated with this exception
      Overrides:
        `getLocalizedMessage` in class `java.lang.Throwable`
      Returns:
        the localized message associated with this exception

Copyright © 2025 Raritan Inc. All Rights Reserved.